## fwupd 1.4.5

=== meson_options.txt ===
option('build', type : 'combo', choices : ['all', 'standalone', 'library'], value : 'all', description : 'build type')
option('agent', type : 'boolean', value : true, description : 'enable the fwupd agent')
option('consolekit', type : 'boolean', value : true, description : 'enable ConsoleKit support')
option('firmware-packager', type : 'boolean', value : true, description : 'enable firmware-packager installation')
option('gtkdoc', type : 'boolean', value : false, description : 'enable developer documentation')
option('introspection', type : 'boolean', value : true, description : 'generate GObject Introspection data')
option('lvfs', type : 'boolean', value : true, description : 'enable LVFS remotes')
option('man', type : 'boolean', value : true, description : 'enable man pages')
option('gudev', type : 'boolean', value : true, description : 'enable GUdev support')
option('plugin_altos', type : 'boolean', value : true, description : 'enable altos support')
option('plugin_amt', type : 'boolean', value : true, description : 'enable Intel AMT support')
option('plugin_dell', type : 'boolean', value : true, description : 'enable Dell-specific support')
option('plugin_dummy', type : 'boolean', value : false, description : 'enable the dummy device')
option('plugin_emmc', type : 'boolean', value : true, description : 'enable eMMC support')
option('plugin_synaptics', type: 'boolean', value: true, description : 'enable Synaptics MST hub support')
option('plugin_thunderbolt', type : 'boolean', value : true, description : 'enable Thunderbolt support')
option('plugin_redfish', type : 'boolean', value : true, description : 'enable Redfish support')
option('plugin_tpm', type : 'boolean', value : true, description : 'enable TPM support')
option('plugin_uefi', type : 'boolean', value : true, description : 'enable UEFI support')
option('plugin_nvme', type : 'boolean', value : true, description : 'enable NVMe support')
option('plugin_modem_manager', type : 'boolean', value : false, description : 'enable ModemManager support')
option('plugin_flashrom', type : 'boolean', value : false, description : 'enable libflashrom support')
option('plugin_coreboot', type : 'boolean', value : true, description : 'enable coreboot support')
option('systemd', type : 'boolean', value : true, description : 'enable systemd support')
option('systemd_root_prefix', type: 'string', value: '', description: 'Directory to base systemd’s installation directories on')
option('elogind', type : 'boolean', value : false, description : 'enable elogind support')
option('tests', type : 'boolean', value : true, description : 'enable tests')
option('udevdir', type: 'string', value: '', description: 'Directory for udev rules')
option('efi-cc', type : 'string', value : 'gcc', description : 'the compiler to use for EFI modules')
option('efi-ld', type : 'string', value : 'ld', description : 'the linker to use for EFI modules')
option('efi-libdir', type : 'string', description : 'path to the EFI lib directory')
option('efi-ldsdir', type : 'string', description : 'path to the EFI lds directory')
option('efi-includedir', type : 'string', value : '/usr/include/efi', description : 'path to the EFI header directory')
option('efi_os_dir', type: 'string', description : 'the name of OS directory in ESP')

=== debian/changelog ===
fwupd (1.4.5-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 18 Aug 2020 01:39:21 -0400

fwupd (1.4.5-1) unstable; urgency=medium

  * New upstream version (1.4.5)
  * Drop flashrom patch, now upstream
  * Regenerate control file
    - Refresh dependencies for 1.4.x
    - Drop Jared as uploader

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 30 Jul 2020 08:33:22 -0500

fwupd (1.3.11-2) unstable; urgency=medium

  * Stop generating debian/control automatically at build time
  * Add build-dep on libflashrom-dev

 -- Steve McIntyre <93sam@debian.org>  Thu, 23 Jul 2020 21:54:00 +0100

fwupd (1.3.11-1) unstable; urgency=medium

  * New upstream stable release:
    - Add more module types for the Dell dock
    - Fix the TPM PCR0 calculation
    - Check for free space after cleaning up ESP

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 18 Jun 2020 10:46:14 -0500

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export LC_ALL := C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions

#GPGME needs this for proper building on 32 bit archs
ifeq "$(DEB_HOST_ARCH_BITS)" "32"
	export DEB_CFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
endif

ifneq ($(CI),)
	export CI=--werror --wrap-mode=default
endif

regenerate_control:
	OS=debian-x86_64 ./contrib/ci/generate_debian.py

SB_STYLE := debian
deb_version := $(shell dpkg-parsechangelog --show-field Version)
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	SB_STYLE := ubuntu
	tar_name := fwupd_$(deb_version)_$(DEB_HOST_ARCH).tar.gz
	export FLASHROM=-Dplugin_flashrom=false
else
	TMPLDIR  := debian/fwupd-$(DEB_HOST_ARCH)-signed-template/usr/share/code-signing/fwupd-$(DEB_HOST_ARCH)-signed-template
	export FLASHROM=-Dplugin_flashrom=true
endif

%:
	dh $@ --with gir

override_dh_auto_clean:
	rm -fr obj-*
	rm -fr debian/build
ifeq (ubuntu,$(SB_STYLE))
	rm -rf debian/fwupd-images
endif

override_dh_auto_configure:
	if pkg-config --exists libsmbios_c; then \
		export DELL="-Dplugin_dell=true"; \
	else \
		export DELL="-Dplugin_dell=false"; \
	fi; \
	if pkg-config --exists efivar; then \
		export UEFI="-Dplugin_uefi=true -Dplugin_redfish=true -Dplugin_nvme=true"; \
	else \
		export UEFI="-Dplugin_uefi=false -Dplugin_redfish=false -Dplugin_nvme=false"; \
	fi; \
	dh_auto_configure -- $$UEFI $$DELL $$FLASHROM $$CI -Dplugin_dummy=true -Dgtkdoc=true

override_dh_install:
	find debian/tmp/usr -type f -name "*a" -print | xargs rm -f
	sed -i 's,wheel,sudo,' ./debian/tmp/usr/share/polkit-1/rules.d/org.freedesktop.fwupd.rules
	dh_install
	#install the EFI binaries if needed
	if [ -d debian/tmp/usr/libexec/fwupd/efi/ ]; then \
		dh_install -pfwupd usr/libexec/fwupd/efi ;\
	fi
	dh_missing -a --fail-missing

	#this is placed in fwupd-tests
	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-3/libfu_plugin_test.so
	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-3/libfu_plugin_invalid.so
	rm -f debian/fwupd/etc/fwupd/remotes.d/fwupd-tests.conf

ifeq (debian,$(SB_STYLE))
	# Generate the template source for the Debian signing service to use
	mkdir -p $(TMPLDIR)/source-template/debian
	cp -a debian/signing-template/* $(TMPLDIR)/source-template/debian
	cp debian/README.Debian $(TMPLDIR)/source-template/debian
	find $(TMPLDIR)/source-template/debian -type f | xargs sed -i "s,SIGNARCH,$(DEB_HOST_ARCH),"
	find $(TMPLDIR)/source-template/debian -type f | xargs sed -i "s,SIGNVERSION,$(deb_version),"
	for file in $$(find $(TMPLDIR)/source-template/debian -type f -name *SIGNARCH*); do file1=$$(echo $$file | sed "s,SIGNARCH,$(DEB_HOST_ARCH),"); mv -v $$file $$file1; done
	install -m 0755 debian/fwupd.postinst $(TMPLDIR)/source-template/debian/fwupd-$(DEB_HOST_ARCH)-signed.postinst
	install -m 0755 debian/fwupd.postrm $(TMPLDIR)/source-template/debian/fwupd-$(DEB_HOST_ARCH)-signed.postrm
	./debian/gen_signing_changelog $(TMPLDIR)/source-template/debian fwupd $(DEB_HOST_ARCH)
	./debian/gen_signing_json $(TMPLDIR) fwupd ${DEB_HOST_ARCH}
endif

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -Xfirmware-example.xml.gz

override_dh_auto_test:
	if [ -x /usr/bin/valgrind ] ; then \
		dh_auto_test; \
	fi

override_dh_builddeb:
	dh_builddeb
ifeq (ubuntu,$(SB_STYLE))
	if [ -d debian/tmp/usr/libexec/fwupd/efi/ ]; then \
		mkdir -p debian/fwupd-images/$(deb_version) ;\
		cp debian/tmp/usr/libexec/fwupd/efi/fwupd*.efi debian/fwupd-images/$(deb_version) ;\
		echo $(deb_version) > debian/fwupd-images/$(deb_version)/version ;\
		tar -C debian/fwupd-images -czvf ../$(tar_name) . ;\
		dpkg-distaddfile $(tar_name) raw-uefi - ;\
	fi
endif

override_dh_shlibdeps:
	dh_shlibdeps $$DHSLIBS

## fwupd 1.4.7

=== meson_options.txt ===
--- 
+++ 
@@ -15,7 +15,6 @@
 option('plugin_synaptics', type: 'boolean', value: true, description : 'enable Synaptics MST hub support')
 option('plugin_thunderbolt', type : 'boolean', value : true, description : 'enable Thunderbolt support')
 option('plugin_redfish', type : 'boolean', value : true, description : 'enable Redfish support')
-option('plugin_tpm', type : 'boolean', value : true, description : 'enable TPM support')
 option('plugin_uefi', type : 'boolean', value : true, description : 'enable UEFI support')
 option('plugin_nvme', type : 'boolean', value : true, description : 'enable NVMe support')
 option('plugin_modem_manager', type : 'boolean', value : false, description : 'enable ModemManager support')
@@ -25,10 +24,18 @@
 option('systemd_root_prefix', type: 'string', value: '', description: 'Directory to base systemd’s installation directories on')
 option('elogind', type : 'boolean', value : false, description : 'enable elogind support')
 option('tests', type : 'boolean', value : true, description : 'enable tests')
+option('tpm', type : 'boolean', value : true, description : 'enable TPM support')
 option('udevdir', type: 'string', value: '', description: 'Directory for udev rules')
 option('efi-cc', type : 'string', value : 'gcc', description : 'the compiler to use for EFI modules')
 option('efi-ld', type : 'string', value : 'ld', description : 'the linker to use for EFI modules')
+option('efi-objcopy', type : 'string', value : 'objcopy', description : 'the objcopy utility to use for EFI modules')
 option('efi-libdir', type : 'string', description : 'path to the EFI lib directory')
 option('efi-ldsdir', type : 'string', description : 'path to the EFI lds directory')
 option('efi-includedir', type : 'string', value : '/usr/include/efi', description : 'path to the EFI header directory')
-option('efi_os_dir', type: 'string', description : 'the name of OS directory in ESP')
+option('efi_os_dir', type: 'string', description : 'the hardcoded name of OS directory in ESP, e.g. fedora')
+option('efi_sbat_fwupd_generation', type : 'integer', value : 1, description : 'SBAT fwupd generation')
+option('efi_sbat_distro_id', type : 'string', value : '', description : 'SBAT distribution ID, e.g. fedora')
+option('efi_sbat_distro_summary', type : 'string', value : '', description : 'SBAT distribution summary, e.g. Fedora')
+option('efi_sbat_distro_pkgname', type : 'string', value : '', description : 'SBAT distribution package name, e.g. fwupd')
+option('efi_sbat_distro_version', type : 'string', value : '', description : 'SBAT distribution version, e.g. fwupd-1.5.6.fc33')
+option('efi_sbat_distro_url', type : 'string', value : '', description : 'SBAT distribution URL, e.g. https://src.fedoraproject.org/rpms/fwupd')

=== debian/changelog ===
fwupd (1.4.7-0~20.10.2) groovy; urgency=medium

  * debian/rules: merge upstream sbat related change. (LP: #1926011)

 -- Yuan-Chen Cheng <yc.cheng@canonical.com>  Tue, 04 May 2021 07:05:41 +0800

fwupd (1.4.7-0~20.10.1) groovy; urgency=medium

  * new upstream version (1.4.7)
  * Bug fixes:
    -  Check returned volumes before accessing them
    -  Correct a Thunderbolt assertion if kernel failed FW read
    -  Do not dedupe NVMe devices
    -  Do not match all HIDRAW\VEN_06CB devices
    -  Don't allow device updates while needing activation
    -  Fix adding multiple flags to devices
    -  Fix critical warning regression with 'fwupdate -a'
    -  Fix probe warning for the Logitech Unifying device
    -  Fix the quirk key name for the Lenovo HDMI with power
    -  Make TPM more optional
    -  Make udisks2 errors more apparent
    -  Only set the version format for ESRT entries
    -  Remove the Hughski public key
    -  Restore recognizing gpg and pkcs7 types still
    -  Wait a few ms for the Logitech hardware to settle after detach
  * New features
    - Add support for SBAT. (LP: #1921539)
    - Adds support for Synaptics fingerprinter reader (LP:# 1900935)
  * Fixes TPM PCR0 reading failures if all characters are 0.
    (LP: #1909734)
  * Fixes Synaptics RMI probe causing touchscreen failures
    (LP: #1886912)
  * Backport a patch from upstream 1_4_X branch to fix SBAT character.
  * Backport a patch from upstream 1_4_X branch to fix vendor-id requirement
    error on Dell WD19 (LP: #1921544)

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 26 Mar 2021 13:45:02 -0500

=== debian/rules ===
--- 
+++ 
@@ -10,23 +10,51 @@
 	export DEB_CFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
 endif
 
+CONFARGS =
+
 ifneq ($(CI),)
-	export CI=--werror --wrap-mode=default
+	CONFARGS += --werror --wrap-mode=default
 endif
-
-regenerate_control:
-	OS=debian-x86_64 ./contrib/ci/generate_debian.py
 
 SB_STYLE := debian
 deb_version := $(shell dpkg-parsechangelog --show-field Version)
+export FLASHROM=-Dplugin_flashrom=false
 ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
 	SB_STYLE := ubuntu
 	tar_name := fwupd_$(deb_version)_$(DEB_HOST_ARCH).tar.gz
-	export FLASHROM=-Dplugin_flashrom=false
+	CONFARGS += -Dplugin_flashrom=false
+	CONFARGS += -Defi_sbat_distro_id=ubuntu
+	CONFARGS += -Defi_sbat_distro_summary=Ubuntu
+	CONFARGS += -Defi_sbat_distro_pkgname=fwupd
+	CONFARGS += -Defi_sbat_distro_version=$(deb_version)
+	CONFARGS += -Defi_sbat_distro_url="https://launchpad.net/ubuntu/+source/fwupd"
 else
 	TMPLDIR  := debian/fwupd-$(DEB_HOST_ARCH)-signed-template/usr/share/code-signing/fwupd-$(DEB_HOST_ARCH)-signed-template
-	export FLASHROM=-Dplugin_flashrom=true
+	ifneq ($(DEB_HOST_ARCH_CPU),ia64)
+		CONFARGS += -Dplugin_flashrom=true
+	else
+		CONFARGS += -Dplugin_flashrom=false
+	endif
+	CONFARGS += -Defi_sbat_distro_id=debian
+	CONFARGS += -Defi_sbat_distro_summary=Debian
+	CONFARGS += -Defi_sbat_distro_pkgname=fwupd
+	CONFARGS += -Defi_sbat_distro_version=$(deb_version)
+	CONFARGS += -Defi_sbat_distro_url="https://tracker.debian.org/pkg/fwupd"
 endif
+
+ifeq (yes,$(shell pkg-config --exists libsmbios_c && echo yes))
+	CONFARGS += -Dplugin_dell=true
+else
+	CONFARGS += -Dplugin_dell=false
+endif
+
+ifeq (yes,$(shell pkg-config --exists efivar && echo yes))
+	CONFARGS += -Dplugin_uefi=true -Dplugin_redfish=true -Dplugin_nvme=true
+else
+	CONFARGS += -Dplugin_uefi=false -Dplugin_redfish=false -Dplugin_nvme=false
+endif
+
+CONFARGS += -Dplugin_dummy=true -Dgtkdoc=true
 
 %:
 	dh $@ --with gir
@@ -39,17 +67,7 @@
 endif
 
 override_dh_auto_configure:
-	if pkg-config --exists libsmbios_c; then \
-		export DELL="-Dplugin_dell=true"; \
-	else \
-		export DELL="-Dplugin_dell=false"; \
-	fi; \
-	if pkg-config --exists efivar; then \
-		export UEFI="-Dplugin_uefi=true -Dplugin_redfish=true -Dplugin_nvme=true"; \
-	else \
-		export UEFI="-Dplugin_uefi=false -Dplugin_redfish=false -Dplugin_nvme=false"; \
-	fi; \
-	dh_auto_configure -- $$UEFI $$DELL $$FLASHROM $$CI -Dplugin_dummy=true -Dgtkdoc=true
+	dh_auto_configure -- $(CONFARGS)
 
 override_dh_install:
 	find debian/tmp/usr -type f -name "*a" -print | xargs rm -f
@@ -59,7 +77,9 @@
 	if [ -d debian/tmp/usr/libexec/fwupd/efi/ ]; then \
 		dh_install -pfwupd usr/libexec/fwupd/efi ;\
 	fi
-	dh_missing -a --fail-missing
+	if [ -z "$$CI" ]; then \
+		dh_missing -a --fail-missing; \
+	fi
 
 	#this is placed in fwupd-tests
 	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-3/libfu_plugin_test.so

## fwupd 1.5.3

=== meson_options.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
 option('lvfs', type : 'boolean', value : true, description : 'enable LVFS remotes')
 option('man', type : 'boolean', value : true, description : 'enable man pages')
 option('gudev', type : 'boolean', value : true, description : 'enable GUdev support')
+option('polkit', type: 'boolean', value : true, description : 'enable PolKit support in daemon')
 option('plugin_altos', type : 'boolean', value : true, description : 'enable altos support')
 option('plugin_amt', type : 'boolean', value : true, description : 'enable Intel AMT support')
 option('plugin_dell', type : 'boolean', value : true, description : 'enable Dell-specific support')
@@ -18,13 +19,17 @@
 option('plugin_uefi', type : 'boolean', value : true, description : 'enable UEFI support')
 option('plugin_nvme', type : 'boolean', value : true, description : 'enable NVMe support')
 option('plugin_modem_manager', type : 'boolean', value : false, description : 'enable ModemManager support')
+option('plugin_msr', type : 'boolean', value : true, description : 'enable MSR support')
 option('plugin_flashrom', type : 'boolean', value : false, description : 'enable libflashrom support')
 option('plugin_coreboot', type : 'boolean', value : true, description : 'enable coreboot support')
+option('plugin_platform_integrity', type : 'boolean', value : false, description : 'enable platform integrity support')
+option('supported_build', type : 'boolean', value : false, description: 'distribution package with upstream support')
 option('systemd', type : 'boolean', value : true, description : 'enable systemd support')
 option('systemd_root_prefix', type: 'string', value: '', description: 'Directory to base systemd’s installation directories on')
 option('elogind', type : 'boolean', value : false, description : 'enable elogind support')
 option('tests', type : 'boolean', value : true, description : 'enable tests')
 option('tpm', type : 'boolean', value : true, description : 'enable TPM support')
+option('soup_session_compat', type : 'boolean', value : true, description : 'enable SoupSession runtime compatibility support')
 option('udevdir', type: 'string', value: '', description: 'Directory for udev rules')
 option('efi-cc', type : 'string', value : 'gcc', description : 'the compiler to use for EFI modules')
 option('efi-ld', type : 'string', value : 'ld', description : 'the linker to use for EFI modules')
@@ -32,10 +37,4 @@
 option('efi-libdir', type : 'string', description : 'path to the EFI lib directory')
 option('efi-ldsdir', type : 'string', description : 'path to the EFI lds directory')
 option('efi-includedir', type : 'string', value : '/usr/include/efi', description : 'path to the EFI header directory')
-option('efi_os_dir', type: 'string', description : 'the hardcoded name of OS directory in ESP, e.g. fedora')
-option('efi_sbat_fwupd_generation', type : 'integer', value : 1, description : 'SBAT fwupd generation')
-option('efi_sbat_distro_id', type : 'string', value : '', description : 'SBAT distribution ID, e.g. fedora')
-option('efi_sbat_distro_summary', type : 'string', value : '', description : 'SBAT distribution summary, e.g. Fedora')
-option('efi_sbat_distro_pkgname', type : 'string', value : '', description : 'SBAT distribution package name, e.g. fwupd')
-option('efi_sbat_distro_version', type : 'string', value : '', description : 'SBAT distribution version, e.g. fwupd-1.5.6.fc33')
-option('efi_sbat_distro_url', type : 'string', value : '', description : 'SBAT distribution URL, e.g. https://src.fedoraproject.org/rpms/fwupd')
+option('efi_os_dir', type: 'string', description : 'the name of OS directory in ESP')

=== debian/changelog ===
fwupd (1.5.3-2) unstable; urgency=medium

  * trivial: debian: only install fwupd-msr.conf if needed

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 08 Dec 2020 10:45:45 -0600

fwupd (1.5.3-1) unstable; urgency=medium

  * New upstream version (1.5.3)
  * Drop all patches (upstream)
  * Follow defaults for nvme and redfish plugins (don't need efivar now)
  * debian/control:
    - Drop libsoup build dependency
    - Add libcurl build dependency
    - Add systemd build dependency
  * Migrate debian/fwupd.preinst content to debian/fwupd.maintscript

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 08 Dec 2020 08:30:56 -0600

fwupd (1.5.1-5) unstable; urgency=medium

  * Backport patch to fix ppc64el autopkgtest failure

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 19 Nov 2020 00:36:17 -0600

fwupd (1.5.1-4) unstable; urgency=medium

  * trivial: debian: disable downloading from LVFS in autopkgtest

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 16 Nov 2020 17:07:15 -0600

fwupd (1.5.1-3) unstable; urgency=medium

  * Add breaks for fwupdate 12-7 (Closes: #960688)
  * trivial: debian: add git to fwupdate-tests dependencies

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 16 Nov 2020 10:48:48 -0600

fwupd (1.5.1-2) unstable; urgency=medium

  [ Mario Limonciello ]
  * Backport a patch to indicate if packages are supported or not
  * backport a patch to fix autopkgtests on ppc64el
  * trivial: debian: don't hardcode paths in libexec
  * trivial: debian: disable msr plugin on all !x86

  [ Jessica Clarke ]
  * debian: Check DEB_HOST_ARCH_CPU not DEB_HOST_ARCH for MSR plugin
  * debian: Prefer Makefile substitution over shell substitution
  * debian: Use if/else rather than overriding default values
  * debian: Drop pointless dh_shlibdeps override
  * debian: Check for valgrind in Makefile not shell and don't hard-code path
  * debian: Fix dangerous lack of set -e
  * debian: Fix another instance of unusual ifeq syntax
  * debian: Build up CONFARGS list rather than individual variables
  * debian: Fix another dangerous missing set -e
  * debian: Use uniform spacing around semicolons
  * debian: Avoid looking like a set -e is missing
  * debian: Remove unnecessary ./ use
  * debian: Add quotes around glob

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 16 Nov 2020 09:31:32 -0600

fwupd (1.5.1-1) unstable; urgency=medium

  * New upstream version (1.5.1)
  * Drop backported patches

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 13 Nov 2020 10:17:32 -0600

fwupd (1.4.6-2) unstable; urgency=medium

  * Add udisks2 to recommends
  * Backport a patch to fix a crash when udisks2 is missing (Closes: #970054)
  * Disable flashrom for ia64

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 10 Sep 2020 19:41:01 -0500

fwupd (1.4.6-1) unstable; urgency=medium

  * New upstream version (1.4.6)

 -- Mario Limonciello <mario.limonciello@dell.com>  Wed, 09 Sep 2020 10:37:37 -0500

=== debian/control ===
Source: fwupd
Priority: optional
Maintainer: Debian EFI <debian-efi@lists.debian.org>
Uploaders: Steve McIntyre <93sam@debian.org>,
           Matthias Klumpp <mak@debian.org>,
           Mario Limonciello <mario.limonciello@dell.com>
Build-Depends:
	bash-completion,
	bubblewrap,
	debhelper (>= 12),
	dh-strip-nondeterminism,
	fontconfig,
	fonts-noto,
	gcab,
	gettext (>= 0.19.8.1),
	gir1.2-pango-1.0,
	gnu-efi [amd64 arm64 armhf i386],
	gnutls-bin,
	gnutls-dev,
	gobject-introspection,
	gtk-doc-tools,
	help2man,
	libarchive-dev,
	libcairo-dev,
	libcairo-gobject2,
	libcurl4-gnutls-dev,
	libefiboot-dev [amd64 arm64 armhf i386],
	libefivar-dev [amd64 arm64 armhf i386],
	libelf-dev,
	libflashrom-dev [!ia64],
	libfreetype6-dev,
	libgcab-dev,
	libgirepository1.0-dev,
	libglib2.0-dev (>= 2.45.8),
	libgudev-1.0-dev,
	libgusb-dev (>= 0.3.5),
	libjcat-dev,
	libjson-glib-dev (>= 1.1.1),
	libmm-glib-dev,
	libpolkit-gobject-1-dev,
	libqmi-glib-dev,
	libsmbios-dev [i386 amd64],
	libsqlite3-dev,
	libsystemd-dev,
	libtool-bin,
	libtss2-dev,
	libxmlb-dev (>= 0.1.13),
	locales,
	meson,
	mingw-w64-tools [amd64 arm64 armhf i386],
	pkg-config,
	policykit-1 (>> 0.105-14),
	python3-gi-cairo,
	python3-pil,
	python3-requests,
	shared-mime-info,
	systemd (>= 231),
	udev,
	umockdev,
	valac,
	valgrind [!ia64 !riscv64 !x32 !mips !sparc64 !sh4 !ppc64 !powerpcspe !hppa !alpha !mips64el !armhf !armel !mipsel !m68k],
Build-Depends-Indep: libglib2.0-doc <!nodoc>
Standards-Version: 4.5.0
Section: admin
Homepage: https://github.com/fwupd/fwupd
Vcs-Git: https://salsa.debian.org/efi-team/fwupd.git
Vcs-Browser: https://salsa.debian.org/efi-team/fwupd

Package: libfwupdplugin1
Section: libs
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Firmware update daemon plugin library
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details
 .
 This package provides the library for the interface between daemon and plugins.

Package: libfwupd2
Section: libs
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Firmware update daemon library
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details
 .
 This package provides the library used by the daemon.

Package: fwupd
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         shared-mime-info
Recommends: python3,
	    bolt,
	    secureboot-db,
	    udisks2,
	    fwupd-signed
Provides: fwupdate
Conflicts: fwupdate-amd64-signed,
	   fwupdate-i386-signed,
	   fwupdate-arm64-signed,
	   fwupdate-armhf-signed
Breaks: gir1.2-dfu-1.0 (<< 0.9.7-1),
	libdfu1 (<< 0.9.7-1),
	fwupdate (<< 12-7),
	libdfu-dev (<< 0.9.7-1)
Replaces: gir1.2-dfu-1.0 (<< 0.9.7-1),
	  libdfu1 (<< 0.9.7-1),
	  libdfu-dev (<< 0.9.7-1),
	  fwupdate (<< 12-7)
Multi-Arch: foreign
Description: Firmware update daemon
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details

Package: fwupd-tests
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ca-certificates,
         dbus-x11,
         fwupd,
         gnome-desktop-testing,
         policykit-1,
         python3,
         python3-gi,
         python3-requests,
Breaks: fwupd (<< 0.9.4-1)
Replaces: fwupd (<< 0.9.4-1)
Multi-Arch: foreign
Description: Test suite for firmware update daemon
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details
 .
 This package provides a set of installed tests that can be run to validate
 the daemon in a continuous integration system.

Package: fwupd-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Firmware update daemon documentation (HTML format)
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details
 .
 This package provides development documentation for creating a package that
 uses fwupd.

Package: libfwupd-dev
Architecture: linux-any
Multi-Arch: same
Depends: libfwupd2 (= ${binary:Version}),
         gir1.2-fwupd-2.0 (= ${binary:Version}),
         ${misc:Depends}
Breaks: fwupd-dev (<< 0.5.4-2~)
Replaces: fwupd-dev (<< 0.5.4-2~)
Section: libdevel
Description: development files for libfwupd
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details
 .
 This package provides the development files for libfwupd

Package: gir1.2-fwupd-2.0
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends}
Section: introspection
Description: GObject introspection data for libfwupd
 This package provides the introspection data for libfwupd.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libfwupdplugin-dev
Architecture: linux-any
Multi-Arch: same
Depends: libfwupdplugin1 (= ${binary:Version}),
         gir1.2-fwupdplugin-1.0 (= ${binary:Version}),
         ${misc:Depends}
Section: libdevel
Description: development files for libfwupdplugin
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details
 .
 This package provides the development files for libfwupdplugin

Package: gir1.2-fwupdplugin-1.0
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends}
Section: introspection
Description: GObject introspection data for libfwupdplugin
 This package provides the introspection data for libfwupdplugin.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: fwupd-amd64-signed-template
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, make | build-essential | dpkg-dev
Description: Template for signed fwupd package
 This package is used to control code signing by the Debian signing
 service.

Package: fwupd-i386-signed-template
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, make | build-essential | dpkg-dev
Description: Template for signed fwupd package
 This package is used to control code signing by the Debian signing
 service.

Package: fwupd-armhf-signed-template
Architecture: armhf
Depends: ${shlibs:Depends}, ${misc:Depends}, make | build-essential | dpkg-dev
Description: Template for signed fwupd package
 This package is used to control code signing by the Debian signing
 service.

Package: fwupd-arm64-signed-template
Architecture: arm64
Depends: ${shlibs:Depends}, ${misc:Depends}, make | build-essential | dpkg-dev
Description: Template for signed fwupd package
 This package is used to control code signing by the Debian signing
 service.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export LC_ALL := C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions

#GPGME needs this for proper building on 32 bit archs
ifeq ($(DEB_HOST_ARCH_BITS),32)
	export DEB_CFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
endif

CONFARGS =

ifneq ($(CI),)
	CONFARGS += --werror --wrap-mode=default
endif

SB_STYLE := debian
deb_version := $(shell dpkg-parsechangelog --show-field Version)
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	SB_STYLE := ubuntu
	tar_name := fwupd_$(deb_version)_$(DEB_HOST_ARCH).tar.gz
	CONFARGS += -Dplugin_flashrom=false
else
	TMPLDIR  := debian/fwupd-$(DEB_HOST_ARCH)-signed-template/usr/share/code-signing/fwupd-$(DEB_HOST_ARCH)-signed-template
	ifneq ($(DEB_HOST_ARCH_CPU),ia64)
		CONFARGS += -Dplugin_flashrom=true
	else
		CONFARGS += -Dplugin_flashrom=false
	endif
endif

ifeq (yes,$(shell pkg-config --exists libsmbios_c && echo yes))
	CONFARGS += -Dplugin_dell=true
else
	CONFARGS += -Dplugin_dell=false
endif

ifeq (yes,$(shell pkg-config --exists efivar && echo yes))
	CONFARGS += -Dplugin_uefi=true
else
	CONFARGS += -Dplugin_uefi=false
endif

ifneq ($(filter $(DEB_HOST_ARCH_CPU),i386 amd64),)
	CONFARGS += -Dplugin_msr=true
else
	CONFARGS += -Dplugin_msr=false
endif

CONFARGS += -Dplugin_dummy=true -Dgtkdoc=true -Dsupported_build=true

%:
	dh $@ --with gir

override_dh_auto_clean:
	rm -fr obj-*
	rm -fr debian/build
ifeq (ubuntu,$(SB_STYLE))
	rm -rf debian/fwupd-images
endif

override_dh_auto_configure:
	dh_auto_configure -- $(CONFARGS)

override_dh_install:
	find debian/tmp/usr -type f -name "*a" -print | xargs rm -f
	sed -i 's,wheel,sudo,' debian/tmp/usr/share/polkit-1/rules.d/org.freedesktop.fwupd.rules
	dh_install
	#install the EFI binaries if needed
	[ ! -d debian/tmp/usr/libexec/fwupd/efi/ ] || dh_install -pfwupd usr/libexec/fwupd/efi
	#install MSR conf if needed
	[ ! -d debian/tmp/usr/lib/modules-load.d ] || dh_install -pfwupd usr/lib/modules-load.d
	dh_missing -a --fail-missing

	#this is placed in fwupd-tests
	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-3/libfu_plugin_test.so
	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-3/libfu_plugin_invalid.so
	rm -f debian/fwupd/etc/fwupd/remotes.d/fwupd-tests.conf

ifeq (debian,$(SB_STYLE))
	# Generate the template source for the Debian signing service to use
	mkdir -p $(TMPLDIR)/source-template/debian
	cp -a debian/signing-template/* $(TMPLDIR)/source-template/debian
	cp debian/README.Debian $(TMPLDIR)/source-template/debian
	find $(TMPLDIR)/source-template/debian -type f | xargs sed -i "s,SIGNARCH,$(DEB_HOST_ARCH),"
	find $(TMPLDIR)/source-template/debian -type f | xargs sed -i "s,SIGNVERSION,$(deb_version),"
	set -e; for file in $$(find $(TMPLDIR)/source-template/debian -type f -name '*SIGNARCH*'); do \
		file1=$$(echo $$file | sed "s,SIGNARCH,$(DEB_HOST_ARCH),"); \
		mv -v $$file $$file1; \
	done
	install -m 0755 debian/fwupd.postinst $(TMPLDIR)/source-template/debian/fwupd-$(DEB_HOST_ARCH)-signed.postinst
	install -m 0755 debian/fwupd.postrm $(TMPLDIR)/source-template/debian/fwupd-$(DEB_HOST_ARCH)-signed.postrm
	debian/gen_signing_changelog $(TMPLDIR)/source-template/debian fwupd $(DEB_HOST_ARCH)
	debian/gen_signing_json $(TMPLDIR) fwupd ${DEB_HOST_ARCH}
endif

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -Xfirmware-example.xml.gz

ifneq (yes,$(shell command -v valgrind >/dev/null 2>&1 && echo yes))
override_dh_auto_test:
	:
endif

override_dh_builddeb:
	dh_builddeb
ifeq (ubuntu,$(SB_STYLE))
	set -e; if [ -d debian/tmp/usr/libexec/fwupd/efi/ ]; then \
		mkdir -p debian/fwupd-images/$(deb_version); \
		cp debian/tmp/usr/libexec/fwupd/efi/fwupd*.efi debian/fwupd-images/$(deb_version); \
		echo $(deb_version) > debian/fwupd-images/$(deb_version)/version; \
		tar -C debian/fwupd-images -czvf ../$(tar_name) .; \
		dpkg-distaddfile $(tar_name) raw-uefi -; \
	fi
endif

## fwupd 1.5.7

=== meson_options.txt ===
--- 
+++ 
@@ -6,30 +6,36 @@
 option('introspection', type : 'boolean', value : true, description : 'generate GObject Introspection data')
 option('lvfs', type : 'boolean', value : true, description : 'enable LVFS remotes')
 option('man', type : 'boolean', value : true, description : 'enable man pages')
+option('libarchive', type : 'boolean', value : true, description : 'enable libarchive support')
 option('gudev', type : 'boolean', value : true, description : 'enable GUdev support')
+option('gusb', type : 'boolean', value : true, description : 'enable GUsb support')
+option('bluez', type : 'boolean', value : false, description : 'enable BlueZ support')
 option('polkit', type: 'boolean', value : true, description : 'enable PolKit support in daemon')
+option('gnutls', type: 'boolean', value : true, description : 'enable GnuTLS support')
 option('plugin_altos', type : 'boolean', value : true, description : 'enable altos support')
 option('plugin_amt', type : 'boolean', value : true, description : 'enable Intel AMT support')
 option('plugin_dell', type : 'boolean', value : true, description : 'enable Dell-specific support')
 option('plugin_dummy', type : 'boolean', value : false, description : 'enable the dummy device')
 option('plugin_emmc', type : 'boolean', value : true, description : 'enable eMMC support')
-option('plugin_synaptics', type: 'boolean', value: true, description : 'enable Synaptics MST hub support')
+option('plugin_synaptics_mst', type: 'boolean', value: true, description : 'enable Synaptics MST hub support')
+option('plugin_synaptics_rmi', type: 'boolean', value: true, description : 'enable Synaptics RMI support')
+option('plugin_tpm', type : 'boolean', value : true, description : 'enable TPM support')
 option('plugin_thunderbolt', type : 'boolean', value : true, description : 'enable Thunderbolt support')
 option('plugin_redfish', type : 'boolean', value : true, description : 'enable Redfish support')
-option('plugin_uefi', type : 'boolean', value : true, description : 'enable UEFI support')
+option('plugin_uefi_capsule', type : 'boolean', value : true, description : 'enable UEFI capsule support')
+option('plugin_uefi_pk', type : 'boolean', value : true, description : 'enable UEFI PK support')
 option('plugin_nvme', type : 'boolean', value : true, description : 'enable NVMe support')
 option('plugin_modem_manager', type : 'boolean', value : false, description : 'enable ModemManager support')
 option('plugin_msr', type : 'boolean', value : true, description : 'enable MSR support')
 option('plugin_flashrom', type : 'boolean', value : false, description : 'enable libflashrom support')
-option('plugin_coreboot', type : 'boolean', value : true, description : 'enable coreboot support')
 option('plugin_platform_integrity', type : 'boolean', value : false, description : 'enable platform integrity support')
 option('supported_build', type : 'boolean', value : false, description: 'distribution package with upstream support')
 option('systemd', type : 'boolean', value : true, description : 'enable systemd support')
 option('systemd_root_prefix', type: 'string', value: '', description: 'Directory to base systemd’s installation directories on')
 option('elogind', type : 'boolean', value : false, description : 'enable elogind support')
 option('tests', type : 'boolean', value : true, description : 'enable tests')
-option('tpm', type : 'boolean', value : true, description : 'enable TPM support')
 option('soup_session_compat', type : 'boolean', value : true, description : 'enable SoupSession runtime compatibility support')
+option('curl', type : 'boolean', value : true, description : 'enable libcurl support')
 option('udevdir', type: 'string', value: '', description: 'Directory for udev rules')
 option('efi-cc', type : 'string', value : 'gcc', description : 'the compiler to use for EFI modules')
 option('efi-ld', type : 'string', value : 'ld', description : 'the linker to use for EFI modules')
@@ -37,4 +43,10 @@
 option('efi-libdir', type : 'string', description : 'path to the EFI lib directory')
 option('efi-ldsdir', type : 'string', description : 'path to the EFI lds directory')
 option('efi-includedir', type : 'string', value : '/usr/include/efi', description : 'path to the EFI header directory')
-option('efi_os_dir', type: 'string', description : 'the name of OS directory in ESP')
+option('efi_os_dir', type: 'string', description : 'the hardcoded name of OS directory in ESP, e.g. fedora')
+option('efi_sbat_fwupd_generation', type : 'integer', value : 1, description : 'SBAT fwupd generation')
+option('efi_sbat_distro_id', type : 'string', value : '', description : 'SBAT distribution ID, e.g. fedora')
+option('efi_sbat_distro_summary', type : 'string', value : '', description : 'SBAT distribution summary, e.g. Fedora')
+option('efi_sbat_distro_pkgname', type : 'string', value : '', description : 'SBAT distribution package name, e.g. fwupd')
+option('efi_sbat_distro_version', type : 'string', value : '', description : 'SBAT distribution version, e.g. fwupd-1.5.6.fc33')
+option('efi_sbat_distro_url', type : 'string', value : '', description : 'SBAT distribution URL, e.g. https://src.fedoraproject.org/rpms/fwupd')

=== debian/changelog ===
fwupd (1.5.7-5) unstable; urgency=medium

  * Change dependency versioning strategy for the signed fwupd
    packages to make them binNMU friendly. Closes: #973715
  * Similarly change versioning used for Built-Using. Closes: #992910

 -- Steve McIntyre <93sam@debian.org>  Tue, 21 Sep 2021 01:06:34 +0100

fwupd (1.5.7-4) unstable; urgency=medium

  * Multiple fixes for working with UEFI SBAT

 -- Steve McIntyre <93sam@debian.org>  Fri, 14 May 2021 00:32:00 +0100

fwupd (1.5.7-3) unstable; urgency=medium

  * Backport a patch to fix regression in fwupdtool activate
  * Backport a patch to fix activatable devices getting stuck in an update loop
  * Rebuild to pick up new signing keys.

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 11 Mar 2021 16:16:53 -0600

fwupd (1.5.7-2) unstable; urgency=medium

  * Backport a patch to fix FTBFS on armhf for SBAT

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 23 Feb 2021 17:25:50 -0600

fwupd (1.5.7-1) unstable; urgency=medium

  * New upstream version (1.5.7)
    - Fixes issues with SBAT on UEFI.
  * Fixes dependencies for -dev packages:
    Closes: #980691, #980684

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 23 Feb 2021 09:03:46 -0600

fwupd (1.5.6-1) unstable; urgency=medium

  [ Steve McIntyre ]
  * Fix up Uploaders for the -signed packages - remove Jared, add Matthias

  [ Mario Limonciello ]
  * New upstream version (1.5.6)
  * drop all upstream patches

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 16 Feb 2021 10:54:08 -0600

fwupd (1.5.5-2) unstable; urgency=medium

  * fwupd.postinst: Adjust to read /etc/os-release instead of `/etc/lsb-release`

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 19 Jan 2021 15:48:55 -0600

fwupd (1.5.5-1) unstable; urgency=medium

  * New upstream version (1.5.5)
  * trivial: debian: migrate uefi->uefi_capsule in uefi.conf
  * trivial: debian: fix modules-load.d directory
  * trivial: debian: add dbus to recommends (Closes: #980049)
  * Backport 2 patches for continual "Unknown" message on new connections
  * trivial: debian: read /etc/lsb-release instead of dpkg-dev (Closes: #977860, #977861, #970783)

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 19 Jan 2021 12:50:02 -0600

=== debian/rules ===
--- 
+++ 
@@ -17,11 +17,17 @@
 endif
 
 SB_STYLE := debian
-deb_version := $(shell dpkg-parsechangelog --show-field Version)
+deb_version := $(shell debian/grab_version)
+deb_next_version := $(shell debian/grab_version --next)
 ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
 	SB_STYLE := ubuntu
 	tar_name := fwupd_$(deb_version)_$(DEB_HOST_ARCH).tar.gz
 	CONFARGS += -Dplugin_flashrom=false
+	CONFARGS += -Defi_sbat_distro_id=ubuntu
+	CONFARGS += -Defi_sbat_distro_summary=Ubuntu
+	CONFARGS += -Defi_sbat_distro_pkgname=fwupd
+	CONFARGS += -Defi_sbat_distro_version=$(deb_version)
+	CONFARGS += -Defi_sbat_distro_url="https://launchpad.net/ubuntu/+source/fwupd"
 else
 	TMPLDIR  := debian/fwupd-$(DEB_HOST_ARCH)-signed-template/usr/share/code-signing/fwupd-$(DEB_HOST_ARCH)-signed-template
 	ifneq ($(DEB_HOST_ARCH_CPU),ia64)
@@ -29,6 +35,11 @@
 	else
 		CONFARGS += -Dplugin_flashrom=false
 	endif
+	CONFARGS += -Defi_sbat_distro_id=debian
+	CONFARGS += -Defi_sbat_distro_summary=Debian
+	CONFARGS += -Defi_sbat_distro_pkgname=fwupd
+	CONFARGS += -Defi_sbat_distro_version=$(deb_version)
+	CONFARGS += -Defi_sbat_distro_url="https://tracker.debian.org/pkg/fwupd"
 endif
 
 ifeq (yes,$(shell pkg-config --exists libsmbios_c && echo yes))
@@ -38,9 +49,9 @@
 endif
 
 ifeq (yes,$(shell pkg-config --exists efivar && echo yes))
-	CONFARGS += -Dplugin_uefi=true
+	CONFARGS += -Dplugin_uefi_capsule=true
 else
-	CONFARGS += -Dplugin_uefi=false
+	CONFARGS += -Dplugin_uefi_capsule=false
 endif
 
 ifneq ($(filter $(DEB_HOST_ARCH_CPU),i386 amd64),)
@@ -70,12 +81,14 @@
 	dh_install
 	#install the EFI binaries if needed
 	[ ! -d debian/tmp/usr/libexec/fwupd/efi/ ] || dh_install -pfwupd usr/libexec/fwupd/efi
-	#install MSR conf if needed
+	#install MSR conf if needed (depending on distro)
 	[ ! -d debian/tmp/usr/lib/modules-load.d ] || dh_install -pfwupd usr/lib/modules-load.d
+	[ ! -d debian/tmp/lib/modules-load.d ] || dh_install -pfwupd lib/modules-load.d
 	dh_missing -a --fail-missing
 
 	#this is placed in fwupd-tests
 	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-3/libfu_plugin_test.so
+	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-3/libfu_plugin_test_ble.so
 	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-3/libfu_plugin_invalid.so
 	rm -f debian/fwupd/etc/fwupd/remotes.d/fwupd-tests.conf
 
@@ -86,6 +99,7 @@
 	cp debian/README.Debian $(TMPLDIR)/source-template/debian
 	find $(TMPLDIR)/source-template/debian -type f | xargs sed -i "s,SIGNARCH,$(DEB_HOST_ARCH),"
 	find $(TMPLDIR)/source-template/debian -type f | xargs sed -i "s,SIGNVERSION,$(deb_version),"
+	find $(TMPLDIR)/source-template/debian -type f | xargs sed -i "s,NEXTVERSION,$(deb_next_version),"
 	set -e; for file in $$(find $(TMPLDIR)/source-template/debian -type f -name '*SIGNARCH*'); do \
 		file1=$$(echo $$file | sed "s,SIGNARCH,$(DEB_HOST_ARCH),"); \
 		mv -v $$file $$file1; \

## fwupd 1.5.8

=== meson_options.txt ===
--- 
+++ 
@@ -29,6 +29,7 @@
 option('plugin_msr', type : 'boolean', value : true, description : 'enable MSR support')
 option('plugin_flashrom', type : 'boolean', value : false, description : 'enable libflashrom support')
 option('plugin_platform_integrity', type : 'boolean', value : false, description : 'enable platform integrity support')
+option('qubes', type : 'boolean', value : false, description : 'build packages for Qubes OS')
 option('supported_build', type : 'boolean', value : false, description: 'distribution package with upstream support')
 option('systemd', type : 'boolean', value : true, description : 'enable systemd support')
 option('systemd_root_prefix', type: 'string', value: '', description: 'Directory to base systemd’s installation directories on')

=== debian/changelog ===
fwupd (1.5.8-0ubuntu1) hirsute; urgency=medium

  * New upstream version (1.5.8)
  * Backport a patch to fix SBAT (LP: #1921539)
  * Drop all other patches, upstream.

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 26 Mar 2021 14:07:35 -0500
